footer {
  --topFooterPadding: 90px;
  --bottomFooterPadding: 24px;
  padding: var(--topFooterPadding) 0 var(--bottomFooterPadding) 0;
  background: var(--footerBackgroundColor);
}

.hc-footer-separator {
  --separatorHeight: 120px;
  position: relative;
  width: 100%;
  height: var(--separatorHeight);
  background: var(--footerBackgroundColor);
  overflow: hidden;
  margin-top: auto;
}

.hc-footer-separator-inside {
  position: absolute;
  left: 0;
  bottom: 0;
  width: 100%;
  height: 200%;
  border-radius: var(--separatorHeight);
  background: var(--backgroundColor);
}

@media only screen and (max-width: 1200px) {
  .hc-footer-separator {
    --separatorHeight: 75px;
  }
}

@media only screen and (max-width: 992px) {
  .hc-footer-separator {
    --separatorHeight: 45px;
  }
}

.hc-footer-content {
  width: 100%;
  display: flex;
}

.hc-footer-left {
  flex: 0;
}

.hc-footer-right {
  flex: 1;
  padding-left: 88px;
  max-width: 728px;
  margin-left: auto;
  display: flex;
  gap: 24px;
}

.footer-logo {
  width: 416px;
  flex: 0;
}

.footer-logo {
  width: 416px;
  min-width: 416px;
  margin-bottom: 68px;
}

.footer-input-container {
  flex: 0;
  margin-top: auto;
  margin-bottom: 40px;
}

.hc-join-text {
  font-size: 30px;
  color: var(--midGreen);
  margin-bottom: 14px;
  padding-left: 5px;
}

.hc-footer-input {
  height: 58px;
  font-size: 18px;
  color: var(--midGreen);
  border: none;
  width: 100%;
  border-radius: 30px;
  padding: 0 30px;
  background: var(--backgroundColor);
  font-family: "Montserrat", sans-serif;
}

.hc-footer-input::placeholder {
  font-size: 18px;
  color: var(--midGreen);
}

.hc-footer-input:focus {
  outline-color: var(--midGreen);
  outline-width: 1px;
  transition: outline 0.3s ease-in-out;
}

.hc-footer-container {
  flex: 2.1;
  display: flex;
  flex-direction: column;
  gap: 24px;
  margin-top: 46px;
}

.hc-footer-container.hc-footer-slim-container {
  flex: 1;
}

.hc-footer-title {
  font-size: 18px;
  color: var(--midGreen);
  flex: 0;
}

.hc-footer-menu-separator {
  width: 100%;
  height: 1px;
  border-radius: 0.5px;
  background: var(--midGreen);
}

.hc-footer-menu-block {
  display: flex;
  flex: 0;
}

.hc-footer-menu-container {
  flex: 1.5;
}

.hc-footer-menu-container.hc-footer-menu-container-slim {
  flex: 1;
}

.hc-footer-menu {
  display: flex;
  flex-direction: column;
  gap: 18px;
}

.hc-footer-menu-container ul {
  padding: 0;
  margin: 0;
  list-style-type: none;
}

.hc-footer-menu-container li {
  font-size: 14px;
  color: var(--midGreen);
  height: 38px;
  padding: 0;
  cursor: pointer;
}

.hc-placeholder {
  pointer-events: none;
}

.hc-footer-menu-container li:hover {
  font-weight: 600;
  letter-spacing: -0.3px;
}

.hc-footer-menu-container li:first-child {
  margin-top: -4px;
}

.hc-footer-menu-container li a {
  width: 100%;
  height: 100%;
  display: flex;
  align-items: center;
  justify-content: flex-start;
}

.hc-footer-menu-container li a,
.hc-footer-menu-container li a:visited {
  color: inherit;
  text-decoration: none;
}

.hc-footer-bottom {
  width: 100%;
}

.hc-footer-bottom-container {
  display: flex;
  width: 100%;
  height: 56px;
  justify-content: center;
  align-items: flex-start;
  justify-content: flex-start;
  align-items: center;
}

.hc-footer-social {
  flex: 0;
  min-width: min-content;
  display: flex;
  gap: 10px;
}

.hc-footer-social div {
  width: 28px;
  height: 28px;
  background: var(--backgroundColor);
  border-radius: 50%;
}

.hc-footer-legal {
  margin-left: auto;
  font-size: 14px;
  line-height: 1.24;
  color: var(--midGreen);
}

@media only screen and (max-width: 1200px) {
  footer {
    --topFooterPadding: 42px;
    --bottomFooterPadding: 14px;
  }

  .footer-logo {
    width: 290px;
    min-width: 290px;
    margin: 0;
  }

  .hc-join-text {
    display: none;
  }

  .hc-footer-left {
    display: flex;
    gap: 64px;
    width: 100%;
    margin-bottom: 24px;
  }

  .hc-footer-right {
    padding: 0;
    max-width: 100%;
    margin-bottom: 52px;
  }

  .hc-footer-content {
    display: block;
  }

  .footer-input-container {
    flex: 1;
    margin: 0;
    display: flex;
    align-items: center;
  }

  .hc-footer-input {
    margin-top: 6px;
    font-size: 16px;
  }

  .hc-footer-bottom-container {
    height: 70px;
  }
}

.hc-show-mobile {
  display: none;
}

@media only screen and (max-width: 800px) {
  footer {
    --topFooterPadding: 74px;
    --bottomFooterPadding: 22px;
  }

  .footer-logo {
    width: 234px;
    min-width: 234px;
    margin-bottom: 40px;
  }

  .hc-footer-left {
    display: block;
    margin-bottom: 0;
  }

  .hc-footer-right {
    flex-direction: column;
    gap: 0px;
    margin-bottom: 75px;
  }

  .hc-hide-mobile {
    display: none !important;
  }

  .hc-show-mobile {
    display: block !important;
  }

  .hc-show-mobile-flex {
    display: flex !important;
  }

  .hc-footer-legal {
    text-align: right;
    min-width: 200px;
  }

  .hc-footer-input {
    padding: 0 24px;
  }
}

@media only screen and (max-width: 600px) {
  .hc-footer-legal {
    max-width: 150px;
    min-width: unset;
    margin-top: 5px;
  }
}

@media only screen and (max-width: 600px) {
  #about-content-text-5 .hc-center-text-align-wrapper {
    padding-top: 40px;
    padding-bottom: 40px;
  }
}